> ## Documentation Index
> Fetch the complete documentation index at: https://docs.ankra.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Comment On Ai Ticket



## OpenAPI

````yaml https://platform.ankra.app/openapi.json post /api/v1/org/ai-tickets/{ticket_id}/comments
openapi: 3.1.0
info:
  title: FastAPI
  version: 0.1.0
servers:
  - url: https://platform.ankra.app
security: []
paths:
  /api/v1/org/ai-tickets/{ticket_id}/comments:
    post:
      tags:
        - AI Tickets API
      summary: Comment On Ai Ticket
      operationId: comment_on_ai_ticket_api_v1_org_ai_tickets__ticket_id__comments_post
      parameters:
        - in: path
          name: ticket_id
          required: true
          schema:
            format: uuid
            type: string
            title: Ticket Id
        - in: header
          name: authorization
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Authorization
        - in: header
          name: x-ankra-organisation-id
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: X-Ankra-Organisation-Id
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/AiTicketCommentRequest'
        required: true
      responses:
        '201':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/AiTicketEventResponse'
          description: Successful Response
        '401':
          description: Unauthorized
        '404':
          description: Not found
        '422':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
          description: Validation Error
components:
  schemas:
    AiTicketCommentRequest:
      properties:
        body:
          type: string
          title: Body
      required:
        - body
      title: AiTicketCommentRequest
      type: object
    AiTicketEventResponse:
      properties:
        id:
          format: uuid
          type: string
          title: Id
        ticket_id:
          format: uuid
          type: string
          title: Ticket Id
        sequence:
          type: integer
          title: Sequence
        author_kind:
          type: string
          title: Author Kind
        author_agent_task_id:
          anyOf:
            - format: uuid
              type: string
            - type: 'null'
          title: Author Agent Task Id
        author_agent_name:
          anyOf:
            - type: string
            - type: 'null'
          title: Author Agent Name
        author_user_id:
          anyOf:
            - type: string
            - type: 'null'
          title: Author User Id
        author_user_name:
          anyOf:
            - type: string
            - type: 'null'
          title: Author User Name
        event_type:
          type: string
          title: Event Type
        body:
          type: string
          title: Body
        payload:
          type: object
          title: Payload
        created_at:
          format: date-time
          type: string
          title: Created At
      required:
        - id
        - ticket_id
        - sequence
        - author_kind
        - author_agent_task_id
        - author_agent_name
        - author_user_id
        - author_user_name
        - event_type
        - body
        - payload
        - created_at
      title: AiTicketEventResponse
      type: object
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          title: Detail
          type: array
      title: HTTPValidationError
      type: object
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          title: Location
          type: array
        msg:
          title: Message
          type: string
        type:
          title: Error Type
          type: string
      required:
        - loc
        - msg
        - type
      title: ValidationError
      type: object

````